From: "Matt Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/oslo-reports/
Date: Fri, 25 Mar 2016 22:19:08 +0000 (UTC) [thread overview]
Message-ID: <1458944321.41d7dfb27c18b0544ed597551e88fc8f64be2c26.prometheanfire@gentoo> (raw)
commit: 41d7dfb27c18b0544ed597551e88fc8f64be2c26
Author: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 25 22:18:41 2016 +0000
Commit: Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Fri Mar 25 22:18:41 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=41d7dfb2
dev-python/oslo-reports: bup for mitaka
Package-Manager: portage-2.2.26
dev-python/oslo-reports/Manifest | 1 +
dev-python/oslo-reports/oslo-reports-1.6.0.ebuild | 38 +++++++++++++++++++++++
2 files changed, 39 insertions(+)
diff --git a/dev-python/oslo-reports/Manifest b/dev-python/oslo-reports/Manifest
index f22a59f..fbf761c 100644
--- a/dev-python/oslo-reports/Manifest
+++ b/dev-python/oslo-reports/Manifest
@@ -1,2 +1,3 @@
DIST oslo.reports-0.5.0.tar.gz 33848 SHA256 acc8a11422536fccbd1eda4af6b70c219e994ebcf357719480d82981f518672f SHA512 afc4af1255701798e6f5786194fbdb9d523aa657987a2c7e02751482570426634c353583931f83b295fdde0c8e7919f465867344236595733788f8d38831f161 WHIRLPOOL 7ec7130987b784ef72a2382108d5dcdee809fe9b8c8b12c967af18b738dc98e5c72d52c90b93bc4aaa19bba279df98c9b9b9638dc7067ae07b3a950ed12989a7
DIST oslo.reports-0.6.0.tar.gz 42210 SHA256 c5ac22c2a611a8fad6d3a5667dc88becc69deed11d25db69b22ef8a2f4aa4748 SHA512 43223d432a62c506d1071ec5f8bce5ecd62a49de4e69b4f63b5cfa1a4ce2794735307e9bf8dddd06e3716497c39e963fe5612463ab9eaa3f3900d72c9c4f5156 WHIRLPOOL 269f5d00b833db12dfc6b07f5bb8fba35f385edb25ece7a4d7eca587ad9a91157fe80efc6dedaa893b902640d9cea4295c9eab5a2fcdba42f31cd9ec4e2dfa03
+DIST oslo.reports-1.6.0.tar.gz 40333 SHA256 add85b98ec126dd013a623e97054de2569bdd12c2a59bafb1afdc28ecde8632c SHA512 c9da12b811a810260b1711742c87aad0a2dc9f7ca5b57188fc2b7bbaac886949d62b25a93351237b2172c36ce334bc1e8a211d60d15d24d36782c5d19dbf6d53 WHIRLPOOL 266d91a54a046445fb818a39e4ac2636ba839e1fde879e88c8807681ec53217121160c6953d3944ac865e0f180a04186e03c7e4542bfa630f368a91416bcf8e8
diff --git a/dev-python/oslo-reports/oslo-reports-1.6.0.ebuild b/dev-python/oslo-reports/oslo-reports-1.6.0.ebuild
new file mode 100644
index 0000000..eb5e4be
--- /dev/null
+++ b/dev-python/oslo-reports/oslo-reports-1.6.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
+
+inherit distutils-r1
+
+DESCRIPTION="generified reports for openstack"
+HOMEPAGE="http://docs.openstack.org/developer/oslo.reports"
+SRC_URI="mirror://pypi/${PN:0:1}/oslo.reports/oslo.reports-${PV}.tar.gz"
+S="${WORKDIR}/oslo.reports-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE=""
+
+CDEPEND="
+ >=dev-python/pbr-1.8[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}"
+RDEPEND="
+ ${CDEPEND}
+ >=dev-python/jinja-2.8[${PYTHON_USEDEP}]
+ >=dev-python/Babel-1.3[${PYTHON_USEDEP}]
+ >=dev-python/oslo-serialization-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/psutil-1.1.1[${PYTHON_USEDEP}]
+ <dev-python/psutil-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-i18n-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/oslo-utils-3.5.0[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}
next reply other threads:[~2016-03-25 22:19 UTC|newest]
Thread overview: 23+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-03-25 22:19 Matt Thode [this message]
-- strict thread matches above, loose matches on Subject: below --
2020-11-27 16:18 [gentoo-commits] repo/gentoo:master commit in: dev-python/oslo-reports/ Michał Górny
2020-11-25 9:23 Michał Górny
2020-10-18 3:48 Matthew Thode
2020-01-13 9:48 Michał Górny
2019-05-11 19:25 Matthew Thode
2019-04-10 22:44 Matthew Thode
2018-06-26 17:43 Pacho Ramos
2018-06-18 1:59 Matt Thode
2018-02-22 19:59 Matt Thode
2018-01-28 4:13 Matt Thode
2017-12-30 17:38 Matt Thode
2017-12-30 17:38 Matt Thode
2017-11-30 5:42 Matt Thode
2017-08-28 21:52 Matt Thode
2017-07-06 16:58 Matt Thode
2017-07-06 16:58 Matt Thode
2017-02-27 4:27 Matt Thode
2016-03-29 18:46 Matt Thode
2016-02-28 5:58 Matt Thode
2015-10-18 22:01 Matt Thode
2015-10-16 5:25 Matt Thode
2015-10-15 7:58 Matt Thode
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1458944321.41d7dfb27c18b0544ed597551e88fc8f64be2c26.prometheanfire@gentoo \
--to=prometheanfire@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox